Page MenuHomePhabricator

Change file namespace name in Urdu
Closed, ResolvedPublic

Description

Hi, here in Urdu wikipedia we all decided to change file namespace name which is currently "ملف", and now we want to change it to "فائل".
And also we need to change all those special page names where "ملف" word is bieng used and change to word "فائل" as below:

خاص:مطلوبہ_املاف > خاص:مطلوبہ فائلیں
خاص:غیر_مستعمل_املاف > خاص:غیر مستعمل فائلیں
خاص:GlobalUsage > خاص:عالمی استعمال
خاص:فہرست املاف > خاص:فائلوں کی فہرست
خاص:زبراثقال > خاص:اپلوڈ
خاص:دہری_ملف_تلاش > خاص:تلاش دوہری فائل
خاص:جدید_املاف > خاص:جدید فائلیں
خاص:غیر_زمرہ_بند_املاف > خاص:غیر_زمرہ_بند_فائلیں

Local consensus is here
https://ur.m.wikipedia.org/wiki/ویکیپیڈیا:دیوان_عام/تجاویز#ملف_نام_فضا

Event Timeline

Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptAug 31 2016, 8:15 PM

I think this is a MediaWiki-Internationalization thing for the ur language rather than a Wikimedia site request that can be applied on a single wiki.

And word "ملف" should be redirected to "فائل". So that all previuos transclusions with "ملف" work properly.

Anyone here to take this task?

@Urbanecm Can you schedule its deployment please?

Urbanecm claimed this task.Sep 8 2016, 6:32 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptSep 8 2016, 6:32 PM
Urbanecm moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

You've changed it in mediawiki/core.git. I think this should be changed directly in WMF config. I'll create new patch.

Or maybe not. By looking at comment by @Krenair maybe this should be changed in core. In this case the patch must get +2 from somebody with permission to do it (I have no permission to give +2 at any repo). Deployment isn't used in mediawiki/core. I'll ask for reviewers :).

Or maybe not. By looking at comment by @Krenair maybe this should be changed in core. In this case the patch must get +2 from somebody with permission to do it (I have no permission to give +2 at any repo). Deployment isn't used in mediawiki/core. I'll ask for reviewers :).

Thanks. :)
BTW how to create own workboard like yours?

You must ask for it. See T139788 for example of request for it.

Urbanecm triaged this task as Normal priority.Sep 9 2016, 6:02 AM

Change 309259 had a related patch set (by محمد شعیب) published:
Change file namespace name & and specialpages titles in Urdu

https://gerrit.wikimedia.org/r/309259

MuhammadShuaib renamed this task from Change file namespace name in ur.wp to Change file namespace name in Urdu.Sep 9 2016, 7:19 PM

Change 309259 merged by jenkins-bot:
Change file namespace name & and specialpages titles in Urdu

https://gerrit.wikimedia.org/r/309259

These changes deployed yesterday, but today have been reverted. Why?!

These changes deployed yesterday, but today have been reverted. Why?!

Your change is in the master branch. Current version is be0d54d (at urwiki), which was commited two days ago. I think your change will be deployed soon.

I can note no revert.

MuhammadShuaib added a comment.EditedSep 17 2016, 8:49 AM

2 days ago this implemented on urwiki and worked as expected. But after one day it reverted.

Urbanecm moved this task from Backlog to Watching on the User-Urbanecm board.Oct 3 2016, 5:27 PM

2 days ago this implemented on urwiki and worked as expected. But after one day it reverted.

There was a MediaWiki train rollback this week if I remember well. That means the previous version of MediaWiki has been restored on the wiki, without this change.

Does it work again now?

2 days ago this implemented on urwiki and worked as expected. But after one day it reverted.

There was a MediaWiki train rollback this week if I remember well. That means the previous version of MediaWiki has been restored on the wiki, without this change.
Does it work again now?

Yes, now it works.

Dereckson closed this task as Resolved.Oct 6 2016, 11:22 AM

Thanks for the update.

So in the future, if someone like this occurs, what is needed is to cherry-pick (but there was an incident this ween and only "emergency" fixes was allowed / here it seems that was well an emergency as broken links using the new namespaces would appear.) the core change from the master branch to the branch currently deployed on the wiki (here wmf.18).